<!-- <template>
     <v-row justify="center" align="center" class="row">
     <v-col xs="10" sm="9" md="6" lg="3" xl="3">
     <v-card class="pa-5" elevation="4">
     <v-card-title>{{ $t("login.householdAccountBook") }}</v-card-title>
     <v-card-text>
     <v-form
     ref="form"
     v-model="valid"
     lazy-validation
     >
     <v-text-field
     v-model="username"
     :counter="10"
     :rules="nameRules"
     :label="$t('login.username')"
     required
     ></v-text-field>

     <v-text-field
     v-model="password"
     :append-icon="show1 ? 'mdi-eye' : 'mdi-eye-off'"
     :rules="rules"
     :type="show1 ? 'text' : 'password'"
     name="input-10-1"
     :label="$t('login.password')"
     hint="At least 8 characters"
     counter
     @click:append="show1 = !show1"
     ></v-text-field>
     <v-btn
     color="success"
     @click="login"
     >
     {{ $t("login.login") }}
     </v-btn>
     </v-form>
     </v-card-text>
     </v-card>
     </v-col>
     </v-row>
     </template>

     <script lang="ts">
     import { Component, Vue } from 'vue-property-decorator'
     import Header from "@/components/Header.vue"
     import { Observer } from "mobx-vue";
     import LoginModel from "@/store/modules/login"
     import { pad } from "@/utils/date"

     @Observer
     @Component({ components: { Header }})
     export default class Login extends Vue {
     private username: string = ""
     private email: string = ""
     private password: string = ""
     private show1: boolean = false
     private valid: boolean = false
     private rules: boolean[] = []
     private nameRules: boolean[] = []
     private state: LoginModel = new LoginModel()
     private async login() {
     const ok = await this.state.login(this.username, this.password);
     const current = new Date();
     const formattedCurrentDate = current.getFullYear() + "-" + pad(Number(current.getMonth() + 1));
     if (ok) this.$router.push({ name: "calendar", params: { displayedDate: formattedCurrentDate } });
     }



     }
     </script> -->
